Bug 314941 - Add configuration to have CUPS exit if it can't bind to required ports
Add configuration to have CUPS exit if it can't bind to required ports
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cups (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-01 21:20 EDT by Norm Murray
Modified: 2010-10-22 15:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:58:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cups-fatalerrors.patch (13.31 KB, patch)
2008-07-02 12:39 EDT, Tim Waugh
no flags Details | Diff
cups-fatalerrors.patch (10.03 KB, patch)
2008-07-02 12:49 EDT, Tim Waugh
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 2536 None None None Never

  None (edit)
Description Norm Murray 2007-10-01 21:20:10 EDT
Description of problem:
If CUPS fails to bind to either tcp or udp ports it currently continues to
operate in degraded mode. Request is to add a configuration option so that one
can prefer to have CUPS exit with error rather than continue in degraded mode.
Comment 1 Tim Waugh 2007-10-02 05:36:51 EDT
Reported upstream.
Comment 5 RHEL Product and Program Management 2008-06-02 16:31:07 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Phil Knirsch 2008-06-13 09:34:27 EDT
Granting Devel ACK.

Read ya, Phil
Comment 8 Tim Waugh 2008-07-02 12:39:21 EDT
Created attachment 310824 [details]
cups-fatalerrors.patch

Here is the patch I've submitted upstream.
Comment 9 Tim Waugh 2008-07-02 12:49:25 EDT
Created attachment 310831 [details]
cups-fatalerrors.patch

Fixed patch.
Comment 15 Fedora Update System 2008-10-10 05:13:51 EDT
cups-1.3.9-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/cups-1.3.9-1.fc9
Comment 16 Fedora Update System 2008-10-15 22:08:13 EDT
cups-1.3.9-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 errata-xmlrpc 2009-01-20 16:58:27 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0201.html

Note You need to log in before you can comment on or make changes to this bug.